{% load static %}
{% load staticfiles %}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Hermawan Wibisana Arifin</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="{% static 'css/listSubs.css' %}">
</head>
<body>
<table class="container" id="table">
    <thead>
        <tr>
            <th><h1>Username</h1></th>
            <th><h1>Email</h1></th>
            <th><h1>Status</h1></th>
        </tr>
    </thead>
    <tbody>
    </tbody>
</table>
<script>
    $(document).ready(function(){
        $.ajax({
            method:'GET',
            url: "/listJson/",
            success: function(response){
                var array = response.results
                for(var i = 0; i<array.length;i++){
                    var button ='<button type="button" class="pull-right btn btn-xs btn-danger"' + 'onClick="unsubscribe(' + "'" + array[i].email + "'" +')">' + '&times; Unsubscribe' + '</button>' + '</div>';
                    var html = '<tr>' +
                        '<td>' + array[i].nama + '</td>' + 
                        '<td>' + array[i].email + '</td>' + 
                        '<td>' + button + '</td>' + '</tr>';
                        
                    $('tbody').append(html);
                }
            },
            error: function(error){
                alert("sumthing wong:(")
            }
        });
    });
    var unsubscribe = function(email_subs){
        $.ajax({
            method: "POST",
            url:"/unsubscribe/",
            data:{email: email_subs},
            success:function(response){
                $('#table td').remove()
                var array = response.results
                for (var i = 0; i < array.length; i++) {
                    var button = '<button type="button" class="pull-right btn btn-xs btn-danger"' + 'onClick="unsubscribe(' + "'" + array[i].email + "'" +')">' + '&times; Unsubscribe' + '</button>' + '</div>';
                    var html = '<tr>' +
                        '<td>' + array[i].nama + '</td>' + 
                        '<td>' + array[i].email + '</td>' + 
                        '<td>' + button + '</td>' + '</tr>';
                    $('tbody').append(html);
                    }

            }
        })
    }

</script>
</body>
</html>